#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    float float_eq_const_0_0;
    float float_eq_const_1_0;
    float float_eq_const_2_0;
    float float_eq_const_3_0;
    float float_eq_const_4_0;

    if (size < 20)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&float_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_1_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_3_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_4_0, &data[i], 4);
    i += 4;


    if (float_eq_const_0_0 == -2.3287402E10f)
    if (float_eq_const_1_0 == -1.06533505E30f)
    if (float_eq_const_2_0 == -4.5755293E-24f)
    if (float_eq_const_3_0 == 0.37962317f)
    if (float_eq_const_4_0 == -1.3462211E-12f)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
